鑫的技术平台liuxin1982.blog.chinaunix.net

鸟在笼中,恨关羽不能张飞;Survival of the fittest

  • 博客访问: 379463
  • 亚虎娱乐数量: 210
  • 博客积分: 0
  • 博客等级: 民兵
  • 技术积分: 2640
  • 用 户 组: 普通用户
  • 注册时间: 2016-07-01 13:46
  • 认证徽章:
个人简介

鸟在笼中,恨关羽不能张飞;Survival of the fittest

文章分类

全部亚虎娱乐(210)

微信关注

IT168企业级官微



微信号:IT168qiye



系统架构师大会



微信号:SACC2013

订阅
热词专题
友情链接

分类: 其他UNIX

这次主要说一下mac下的w3af的安装(因为我使用的是mac系统,其它系统我这暂先不说了)<br /> 首先要下载http://sourceforge.net/projects/w3af/files/w3af<br /> 这里我下的是w3af-1.1.tar.bz2 (40.0 MB)<br /> 东西还不小,40M左右<br /> <br /> <br /> 然后就是解压安装嘛,安装的东西比较多,先安装软件自带的<br /> cd w3af/extlib/fpconst-0.7.2 &nbsp;<br /> python setup.py install &nbsp;<br /> cd SOAPpy &nbsp;<br /> python setup.py install &nbsp;<br /> cd pyPdf &nbsp;<br /> python setup.py install &nbsp;<br /> <br /> <br /> 然后安装软件所依赖的,因为是python嘛,直接用pip install来安装&nbsp;<br /> pip install nltk<br /> pip install pyOpenSSL<br /> pip install scapy<br /> pip install pybloomfiltermmap<br /> ...<br /> <br /> <br /> 因为我py的一直在用,所以有些插件可能已经早就安装了<br /> 如果你不清楚你需要安装什么,可以在w3af根目录下执行./w3af_console即可看到你所缺少的模块<br /> <br /> <br /> 这里需要注意一下<br /> 在安装python-lxml时,直接使用pip来安装就是一直报错,xmlversion.h not found&nbsp;<br /> 但是用locate还能找到,所以应该是环境变量的问题<br /> 直接在环境变量后面加上此文件所在路径后再执行 pip install 是不可以的,仍然是报错。<br /> 后来查了一下,看到mac下安装这玩意需要的格式是写一起,如下就可以了,没想到啊....<br /> C_INCLUDE_PATH=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libxml2:/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libxml2/libxml:/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include pip install lxml<br /> <br /> <br /> <br /> <br /> 这个安装好后还有一个pysvn,这玩意用pip还不能安装,不过它有mac的版本,直接在官网下载即可<br /> http://pysvn.tigris.org/servlets/ProjectDocumentList?folderID=2860<br /> pysvn dmg版本<br /> <br /> <br /> 下载后解把tgz文件压到如下路径,如果没有需要创建一下,这就OK了,还是比较简单的<br /> mkdir -p /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/<br /> <br /> <br /> 最后遇到的一个问题是在运行的时候居然说是少dnet这玩意,python不能导入。<br /> 合计直接pip install吧还google不过去,只好下源码libdnet-1.12.tgz包来安装了。<br /> 解压后,这里有python的包,然后python setup.py install即可安装&nbsp;<br /> <br /> <br /> 这里是全部安装完了,直接可以运行./w3af_console就可以使用了.....<br /> <br /> <br /> 我这里使用的是Python 2.7.6<br /> 通过pip freeze可以查看pip都装过什么东西<br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> <br /> &nbsp;<br />
阅读(6295) | 评论(2) | 转发(0) |
给主人留下些什么吧!~~

gray19822015-08-24 11:01:47

beyondfly:Mac版本与Linux版本使用起来区别大么?

应用上不大,只是安装方面不同而已

回复 | 举报

beyondfly2015-08-23 22:16:14

Mac版本与Linux版本使用起来区别大么?

评论热议
请登录后评论。

登录 注册